<template>
  <div>
    <h2> Dodaj pasiekę: </h2>
    <form
        v-on:submit.prevent="submitForm"
    >

      <div class="form-group">
        <label for="beegardenName">Nazwa</label>
        <input type="text" class="form-control" maxlength="60" id="beegardenName" placeholder="Nazwa Twojej pasieki"
               v-model="form.beegardenName" required>
      </div>

      <div class="form-group">
        <label>Rodzaj</label><br/>
        <div class="form-check form-check-inline">
          <input class="form-check-input" type="radio" name="type" id="type_stacjonarna" value="Stacjonarna"
                 v-model="form.type">
          <label class="form-check-label" for="type_stacjonarna">Stacjonarna</label>
        </div>
        <div class="form-check form-check-inline">
          <input class="form-check-input" type="radio" name="type" id="type_wedrowna" value="Wędrowna"
                 v-model="form.type">
          <label class="form-check-label" for="type_wedrowna">Wędrowna</label>
        </div>
        <div class="form-check form-check-inline">
          <input class="form-check-input" type="radio" name="type" id="type_amatorska" value="Amatorska"
                 v-model="form.type">
          <label class="form-check-label" for="type_amatorska">Amatorska</label>
        </div>
        <div class="form-check form-check-inline">
          <input class="form-check-input" type="radio" name="type" id="type_towarowa" value="Towarowa"
                 v-model="form.type">
          <label class="form-check-label" for="type_towarowa">Towarowa</label>
        </div>
        <div class="form-check form-check-inline">
          <input class="form-check-input" type="radio" name="type" id="type_przydomowa" value="Przydomowa"
                 v-model="form.type">
          <label class="form-check-label" for="type_przydomowa">Przydomowa</label>
        </div>
        <div class="form-check form-check-inline">
          <input class="form-check-input" type="radio" name="type" id="type_specjalistyczna" value="Specjalistyczna"
                 v-model="form.type">
          <label class="form-check-label" for="type_specjalistyczna">Specjalistyczna</label>
        </div>
      </div>


      <div class="form-group">
        <label for="location">Lokalizacja</label>
        <input type="text" class="form-control" id="location" placeholder="Lokalizacja"
               v-model="form.location" required maxlength="30">
      </div>

      <div class="form-group">
        <button class="btn btn-primary">Dodaj</button>
      </div>
    </form>
  </div>
</template>

<script>
import BeegardenService from '../../services/beegarden.service';
import beegardenobject from '../../models/beegardenobject.js'

export default {
  name: 'AddBeegarden',
  data() {
    return {
      form: new beegardenobject('', '', '', ''),
      response: ''
    }
  },
  computed: {
    currentUser() {
      return this.$store.state.auth.user;
    }
  },
  methods: {

    submitForm() {
      if (!this.currentUser)
        this.$router.push('/login');
      else {

        if (!this.form.type)
          alert('Uzupelnij rodzaj pasieki')

        this.form.userId = this.currentUser.id

        if (this.form.type) {
          BeegardenService.addNewBeegarden(this.form).then(
              response => {
                this.response = response.data;
                alert('Pasieka założona poprawnie')
                this.$router.push('/boardbeegardens');
              },
              error => {
                this.response =
                    (error.response && error.response.data && error.response.data.message) ||
                    error.message ||
                    error.toString();
              }
          )
        }
      }
    }
  }
};

</script>

<style scoped>
label {
  display: block;
  margin-top: 10px;
}
</style>